/*###### STYLESHEET FÜR DIE KATEGORIEN ######*/

/*###### OBERKATEGORIEN ######*/
/*Beinhaltet die Kategorienfilter Überschrift und das Informations I*/
.kategorien-ueberschrift-container {
    /*Position und Größe*/
    display: flex;
    width: fit-content;
    height: fit-content;
    justify-self: center;
    align-self: center;
}

/*Größe und Position der Kategorienüberschrift*/
.kategorien-ueberschrift {
    font-size: 110%;
    font-weight: 600;
    border-radius: 3px;
    display: inline;
}

/*Beinhaltet alle Oberkategorien, sowie die Unterkategorien*/
.kategorien-liste {
    /*scrollable*/
    overflow-y: auto;
    scrollbar-width: none;

    /*Größe, Position und Sichtbarkeit*/
    height: 95%;
    padding-left: 5%;
    padding-right: 5%;
    visibility: visible;

    /*Funktionen, die den Text der Elemente un-selektierbar machen*/
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE10+/Edge */
    user-select: none; /* Standard */

}

/*Scrollbar Edge, Chrome, Safari etc.*/
.kategorien-liste::-webkit-scrollbar {
    display: none;
}


/* Div mit Titel der Oberkategorien */
.oberkategorie-knopf {
    width: 100%;
    /*Grid Container Einstellungen*/
    display: grid;
    grid-template-columns: [marker] 1fr [text] 10fr [checkbox] 1fr;

    /*Position ist mittig in der Sidebar*/
    align-items: center;
    text-align: left;

    /*Position und Abstand der einzelnen Container untereinander*/
    margin-bottom: 3%;
    column-gap: 5%;

    /*Abstand Text zum Container*/
    padding: 3% 5%;

    /*Schriftgröße*/
    font-size: 90%;
    font-weight: 600;

    /*Cursor wird zur Hand*/
    cursor: pointer;

    /*Farbe, Schatten und Rahmen*/
    border-radius: 0.25em;
    background-color: rgb(245, 245, 245, 0.2);
    box-shadow: var(--schatten-u-r);
}

/*Farbdesign des Containers beim Hovern und Anklicken*/
.oberkategorie-aktiv, .oberkategorie-knopf:hover {
    background-color: var(--selected-color);
    box-shadow: var(--schatten-u-r);
}

/*Checkbox der Oberkategorie*/
.ok-checkbox-container {
    display: flex;
    justify-content: flex-end;
}

.oberkategorie-check-alle {
    accent-color: var(--accent-color);
}

/*Einstellungen für Chrome, Edge und Safrai indeterminate Zustand*/
.oberkategorie-check-alle:indeterminate::before {
    content: "─";
    display: flex;
    align-items: center;
    justify-content: center;
    width: 0.9em;
    height: 0.9em;
    color: white;
    border: var(--accent-color) solid 0.2em;
    background-color: var(--accent-color);
    border-radius: 0.22em;
}


/*###### Unterkategorien ######*/
/*Flexbox, in der alle Unterkategorien enthalten sind*/
.unterkategorien-liste {
    display: flex;
    flex-direction: column;
    border-radius: 0.25em;
    box-shadow: var(--schatten-u-r);
    max-height: 0;
    /*Ausfahren der Unterkategorienliste*/
    overflow: hidden;
    transition: max-height 0.2s ease-out;
    background-color: var(--selected-color);
    --font-size: 0.875em;
    margin-bottom: 5%;

}

/*Schriftgröße und Farbe einer Unterkategorie*/
.uk-checkbox-knopf {
    background-color: transparent;
    font-size: var(--font-size);
}

/*Div, in dem der Name der Unterkategorie enthalten ist*/
.uk-name {
    width: 200px;
}


/*Hier befindet sich der Name der Unterkategorie, das Icon und die Checkbox*/
.uk-checkbox-knopf label span {
    text-align: left;
    padding: 5px;
    display: flex;
    column-gap: .25vw;
    align-items: center;
    color: rgb(0, 0, 0);
    /*Cursor*/
    cursor: pointer;
}

/*Checkboxen der Unterkategorien*/
.uk-checkbox-knopf label input {
    /*Position und Farbe nach Auswahl*/
    margin-left: auto;
    margin-right: 0.95em;
    align-self: center;
    accent-color: var(--accent-color);
}

/*Hier befindet sich der Name der Unterkategorie, das Icon und die Checkbox*/
label {
    display: flex;
    flex-direction: row-reverse;
    justify-content: start;
    background-color: var(--selected-color);
}

/*Hintergrundfarbe der Unterkategorie, wenn gehovert wird*/
.uk-checkbox-knopf label:hover {
    background-color: var(--un-selected-color);
}

/*Hintergrundfarbe, wenn gehovert wird*/
.uk-checkbox-knopf input:hover + span {
    background-color: var(--un-selected-color);
}

/*Div, in der das Icon der Unterkategorie enthalten ist*/
.div-icon {
    /*Position und Größe*/
    width: var(--font-size);
    margin-right: 2px;
    margin-left: 2px;
    flex-shrink: 0;
}

/*Das Icon als svg*/
.uk-icon {
    /*Größe, Position*/
    height: 100%;
    width: 100%;
    margin: auto;
    /*Alle Icons werden weiß gemacht*/
    filter: brightness(0);
}